declare const _default: {
    readonly openapi: "3.0.2";
    readonly info: {
        readonly title: "Swagger Petstore - OpenAPI 3.0";
        readonly description: "This is a sample Pet Store Server based on the OpenAPI 3.0 specification.  You can find out more about\nSwagger at [http://swagger.io](http://swagger.io). In the third iteration of the pet store, we've switched to the design first approach!\nYou can now help us improve the API whether it's by making changes to the definition itself or to the code.\nThat way, with time, we can improve the API in general, and expose some of the new features in OAS3.\n\nSome useful links:\n- [The Pet Store repository](https://github.com/swagger-api/swagger-petstore)\n- [The source API definition for the Pet Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)";
        readonly termsOfService: "http://swagger.io/terms/";
        readonly contact: {
            readonly email: "apiteam@swagger.io";
        };
        readonly license: {
            readonly name: "Apache 2.0";
            readonly url: "http://www.apache.org/licenses/LICENSE-2.0.html";
        };
        readonly version: "1.0.17";
    };
    readonly externalDocs: {
        readonly description: "Find out more about Swagger";
        readonly url: "http://swagger.io";
    };
    readonly servers: readonly [{
        readonly url: "/";
    }];
    readonly paths: {
        readonly '/pet/{petId}': {
            readonly get: {
                readonly summary: "Find pet by ID";
                readonly description: "Returns a single pet";
                readonly operationId: "getPetById";
                readonly parameters: readonly [{
                    readonly name: "petId";
                    readonly in: "path";
                    readonly description: "ID of pet to return";
                    readonly required: true;
                    readonly schema: {
                        readonly type: "integer";
                        readonly format: "int64";
                    };
                }];
                readonly responses: {
                    readonly '200': {
                        readonly description: "successful operation";
                        readonly content: {
                            readonly 'application/json': {
                                readonly schema: {
                                    readonly $ref: "#/components/schemas/Pet";
                                };
                            };
                        };
                    };
                    readonly '400': {
                        readonly description: "Invalid ID supplied";
                    };
                    readonly '404': {
                        readonly description: "Pet not found";
                    };
                };
            };
        };
    };
    readonly components: {
        readonly schemas: {
            readonly Pet: {
                readonly required: readonly ["name", "photoUrls"];
                readonly type: "object";
                readonly properties: {
                    readonly id: {
                        readonly type: "integer";
                        readonly format: "int64";
                        readonly example: 10;
                    };
                    readonly name: {
                        readonly type: "string";
                        readonly example: "doggie";
                    };
                    readonly photoUrls: {
                        readonly type: "array";
                        readonly xml: {
                            readonly wrapped: true;
                        };
                        readonly items: {
                            readonly type: "string";
                            readonly xml: {
                                readonly name: "photoUrl";
                            };
                        };
                    };
                    readonly status: {
                        readonly type: "string";
                        readonly description: "pet status in the store";
                        readonly enum: readonly ["available", "pending", "sold"];
                    };
                };
                readonly xml: {
                    readonly name: "pet";
                };
            };
        };
    };
};
export default _default;
